Bug 1507581 - mypaint: FTBFS with scons 3.0.0
Summary: mypaint: FTBFS with scons 3.0.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mypaint
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sergey Avseyev
QA Contact: Fedora Extras Quality Assurance
URL: http://apps.fedoraproject.org/koschei...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-30 15:36 UTC by Jitka Plesnikova
Modified: 2017-12-19 19:47 UTC (History)
3 users (show)

Fixed In Version: mypaint-1.2.1-3.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-19 19:47:09 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1299787 0 unspecified CLOSED mypaint 1.3 is available 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 1484165 0 unspecified CLOSED mypaint's URL (from the rpm spec file) now points to a malignant website 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 1509478 0 unspecified CLOSED libffado FTBFS on f27 and rawhide 2021-02-22 00:41:40 UTC

Internal Links: 1299787 1484165 1509478

Description Jitka Plesnikova 2017-10-30 15:36:11 UTC
Description of problem:
Package mypaint fails to build from source in Fedora rawhide and Fedora 27. The build starts failed with new scons 3.0.0.

More information about dependency changes from the latest successful build can be found here:
https://apps.fedoraproject.org/koschei/build/3558045


It failed with following error:
+ scons prefix=/usr -j48
scons: Reading SConscript files ...
  File "/builddir/build/BUILD/mypaint-1.1.0/SConstruct", line 17
    print 'Gentoo: /etc/gentoo-release exists. Must be on a Gentoo based system.'
                                                                                ^
SyntaxError: Missing parentheses in call to 'print'. Did you mean print(rint 'Gentoo: /etc/gentoo-release exists. Must be on a Gentoo based system.')?


Version-Release number of selected component (if applicable):
1.1.0-15.fc27

Steps to Reproduce:
koji build --scratch f28 mypaint-1.1.0-15.fc27.src.rpm

Additional info:
This package is tracked by Koschei. See:
http://apps.fedoraproject.org/koschei/package/mypaint

Comment 1 Thomas Spura 2017-10-31 09:04:02 UTC
It seems that python3 is used during the build, but that python2 is required for building.

Did the default python implementation change with the update to scons-3.0.0?

Comment 2 Sergey Avseyev 2017-12-05 12:47:46 UTC
I've fixed this and also upgraded to 1.2.1 upstream version in my fork
https://src.fedoraproject.org/fork/avsej/rpms/mypaint

I would be happy to take maintainership on this package if it is abandoned (I can see several issues, including that upgrade, on the tracker, which do not get any attention for year).

Right now I'm testing my fixes, and going to propose final fix soon.

Comment 3 Christoph Wickert 2017-12-06 14:31:15 UTC
Reassigning to new package owner

Comment 4 Fedora Update System 2017-12-07 13:54:05 UTC
mypaint-1.2.1-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-207420675a

Comment 5 Fedora Update System 2017-12-10 00:32:21 UTC
mypaint-1.2.1-3.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-207420675a

Comment 6 Fedora Update System 2017-12-19 19:47:09 UTC
mypaint-1.2.1-3.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.